Bug 1472584 - Pulp_max_tasks_per_child is disabled
Pulp_max_tasks_per_child is disabled
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
Unspecified Unspecified
unspecified Severity high (vote)
: GA
: --
Assigned To: Chris Roberts
Radovan Drazny
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2017-07-19 00:15 EDT by sbadhwar
Modified: 2018-02-21 12:01 EST (History)
11 users (show)

See Also:
Fixed In Version: katello-installer-3.4.5
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2018-02-21 12:01:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20518 None None None 2017-08-07 16:45 EDT

  None (edit)
Description sbadhwar 2017-07-19 00:15:13 EDT
Description of problem:
According to the pulp documentation, the pulp workers do not release all of the memory once all of the tasks are completed. The workaround for the issue was suggested to be, set the PULP_MAX_TASKS_PER_WORKER to allow recycling the workers once they process a certain number of tasks.

This setting PULP_MAX_TASKS_PER_WORKER was enabled and set to a value of 2 in the 6.2 but seems to be disabled with Satellite 6.3

Can it be possibly enabled again in the Satellite 6.3 Release  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 Tanya Tereshchenko 2017-08-01 11:07:56 EDT
Default for PULP_MAX_TASKS_PER_WORKER is not configured on the Pulp component side I think.

Feel free to change component if I guessed it wrong
Comment 5 pm-sat@redhat.com 2017-08-10 10:05:26 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20518 has been resolved.
Comment 6 Radovan Drazny 2017-10-09 05:43:53 EDT
Checked on Satellite 6.3 Snap 17 (katello-3.4.5-3.el7sat, foreman- PULP_MAX_TASKS_PER_CHILD is set to 2 in the default config.

$ cat /etc/default/pulp_workers 
# Configuration file for Pulp's Celery workers

# Define the number of worker nodes you wish to have here. This defaults to the number of processors
# that are detected on the system if left commented here.

# Configure Python's encoding for writing all logs, stdout and stderr

# To avoid memory leaks, Pulp can terminate and replace a worker after processing X tasks. If
# left commented, process recycling is disabled. PULP_MAX_TASKS_PER_CHILD must be > 0.

Comment 7 Bryan Kearney 2018-02-21 12:01:54 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.